# std::thread::operator=

From cppreference.com
< cpp‎ | thread‎ | thread

thread& operator=( thread&& other ); |  | (since C++11)

If *this still has an associated running thread (i.e. joinable() == true), call std::terminate(). Otherwise, assigns the state of `other` to *this and sets `other` to a default constructed state.

After this call, `this->get_id()` is equal to the value of `other.get_id()` prior to the call, and `other` no longer represents a thread of execution.

### Parameters

other | - | another thread object to assign to this thread object

### Return value

*this

### Exceptions

`noexcept` specification:
noexcept
Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/thread/thread/operator%3D&oldid=91831"
Category:

- unconditionally noexcept

Hidden categories:

- Pages with unreviewed unconditional noexcept template
- Pages with unreviewed noexcept template